CompanyList

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class CompanyList

    java.lang.Object
      com.fenalco.entities.CompanyList

    public class CompanyList

extends java.lang.Object

Esta clase representa una lista de empresas

Field Summary
`private java.util.Hashtable` | `companies` Es un Hashtable que tiene como llave un INTEGER que representa el id de una empresa, el objeto es de tipo `Company`

Constructor Summary
`CompanyList()` Constructor por defecto de la clase CompanyList

Method Summary
`void` | `filter(int companyType)` Deja en la lista de empresas las empresas que cumplan con el criterio
`void` | `filterStatus(int companyStatus)` Deja en la lista de empresas las empresas que cumplan con el criterio
`java.util.Hashtable` | `getCompanies()` Consultor para el atributo companies.
`boolean` | `loadData()` Hace una consulta en la tabla empresa por medio del método `query` de la clase `SqlUtilities` para cargar la lista de empresas y llenar la variable companies con todas las empresas registradas en el sistema
`static void` | `main(java.lang.String[] args)`
`void` | `setCompanies(java.util.Hashtable companies)` Modificador para el atributo companies.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### companies

    private java.util.Hashtable companies

  Es un Hashtable que tiene como llave un INTEGER que representa el id de una empresa, el objeto es de tipo `Company`

Constructor Detail

### CompanyList

    public CompanyList()

  Constructor por defecto de la clase CompanyList

Method Detail

### loadData

    public boolean loadData()

  Hace una consulta en la tabla empresa por medio del método `query` de la clase `SqlUtilities` para cargar la lista de empresas y llenar la variable companies con todas las empresas registradas en el sistema

  Returns:
    Indica el éxito de la carga de las empresas

### getCompanies

    public java.util.Hashtable getCompanies()

  Consultor para el atributo companies.

  Returns:
    Valor para el atributo companies.

### setCompanies

    public void setCompanies(java.util.Hashtable companies)

  Modificador para el atributo companies.

  Parameters:
    `companies` - Nuevo valor para el atributo companies.

### filter

    public void filter(int companyType)

  Deja en la lista de empresas las empresas que cumplan con el criterio

  Parameters:
    `companyType` - Identifica el tipo de empresa que se desea buscar 0: nueva, 1: minorista, 2: proveedor.

### filterStatus

    public void filterStatus(int companyStatus)

  Deja en la lista de empresas las empresas que cumplan con el criterio

  Parameters:
    `companyStatus` - Identifica el estado que se desea buscar 1: nueva

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD